Send Contact
curl --request POST \
--url https://api.l2msg.com/whatsapp/message/sendContact/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"contact": [
{
"wuid": "<string>",
"phoneNumber": "<string>",
"organization": "<string>",
"email": "<string>",
"url": "<string>",
"fullName": "<string>"
}
]
}
'import requests
url = "https://api.l2msg.com/whatsapp/message/sendContact/{instance}"
payload = {
"number": "<string>",
"contact": [
{
"wuid": "<string>",
"phoneNumber": "<string>",
"organization": "<string>",
"email": "<string>",
"url": "<string>",
"fullName": "<string>"
}
]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
contact: [
{
wuid: '<string>',
phoneNumber: '<string>',
organization: '<string>',
email: '<string>',
url: '<string>',
fullName: '<string>'
}
]
})
};
fetch('https://api.l2msg.com/whatsapp/message/sendContact/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE58DA6CBC941BC"
},
"message": {
"contactMessage": {
"displayName": "Guilherme Gomes",
"vcard": "BEGIN:VCARD\nVERSION:3.0\nN:Guilherme Gomes\nFN:Guilherme Gomes\nORG:AtendAI;\nEMAIL:...",
"contextInfo": {}
}
},
"messageTimestamp": "1717780437",
"status": "PENDING"
}Send Message
Send Contact
Send Contact
POST
/
message
/
sendContact
/
{instance}
Send Contact
Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, contact, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.
⌘I